Get risk score configuration
GET
/api/v1/account/{accountId}/risk-settings
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” accountId
required
string
Responses
Section titled “ Responses ” Media type application/json
object
factors
required
Risk factors with their options and weights
Array<object>
object
name
required
Name of the risk factor (section)
string
options
required
Options within this risk factor
Array<object>
object
name
required
Name of the risk factor option. Can be a RiskFactorOptionName enum value or a custom string.
string
score
required
Score for the risk factor option
number
group
Group the option belongs to
string
weight
required
Multiplier applied to this factor’s score, e.g. 0.3
number
metadata
Additional metadata for the factor
object
screeningTaxonomy
object
sources
required
Array<object>
object
sourceType
required
string
tiers
required
Array<object>
object
id
Stable tier identity returned by the server; retain when renaming a tier
string
legacyLabel
Original label for legacy screening classifications
string
label
required
string
weight
required
number
description
Editable explanatory text shown on the (i) hover for this tier
string
categories
required
Array<object>
object
label
required
string
description
Editable explanatory text shown on the (i) hover for this category
string
autoRescore
required
Whether saving risk settings re-scores in-progress applications
boolean
updatedAt
string format: date-time
Examples
{ "factors": [ { "name": "OWNERSHIP", "options": [ { "name": "OWNERSHIP_SIMPLE", "score": 20, "group": null }, { "name": "OWNERSHIP_LAYERED", "score": 60, "group": null }, { "name": "OWNERSHIP_COMPLEX", "score": 80, "group": null } ], "weight": 0.3, "metadata": {} } ], "screeningTaxonomy": { "sources": [ { "sourceType": "SANCTIONS", "tiers": [ { "id": "screening-tier:SANCTIONS:High", "legacyLabel": "High", "label": "High", "weight": 100, "description": "Current, designated, prohibited or deliberate sanctions misconduct", "categories": [ { "label": "Direct match", "description": "Direct match to a UK (OFSI), EU, US (OFAC), or UN sanctions list" } ] } ] } ] }, "autoRescore": true, "updatedAt": "2026-03-30T12:00:00.000Z"}{ "factors": [ { "name": "OWNERSHIP", "options": [ { "name": "OWNERSHIP_SIMPLE", "score": 20, "group": null }, { "name": "OWNERSHIP_LAYERED", "score": 60, "group": null }, { "name": "OWNERSHIP_COMPLEX", "score": 80, "group": null } ], "weight": 0.3, "metadata": {} } ], "screeningTaxonomy": { "sources": [ { "sourceType": "SANCTIONS", "tiers": [ { "id": "string", "legacyLabel": "string", "label": "High", "weight": 100, "description": "Current, designated, prohibited or deliberate sanctions misconduct", "categories": [ { "label": "Direct match", "description": "Direct match to a UK (OFSI), EU, US (OFAC), or UN sanctions list" } ] } ] } ] }, "autoRescore": true, "updatedAt": "2026-03-30T12:00:00.000Z"}